<?php
/**
 * Example A1 for Config_Registry : register Application
 * 
 * @version    0.1
 * @author     Laurent Laville <pear@laurent-laville.org>
 * @access     public
 * @package    Config_Registry
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 *
 * $Id$
 */

require_once 'Config/Registry.php';
require_once '../handleError.php';

print "<h1>register Application </h1>";

$registry =& Config_Registry::singleton();

print "<h2>try 1</h2>";
print "<p>If you try to register an application with wrong values, you've got an error</p>";

$app = 'sw4p';
$reg = $registry->registerApplication('', '', '');

if (PEAR::isError($reg)) {
    echo '<font color="red"><b>'. $reg->getMessage() .'</b></font>';
}

print "<h2>try 2</h2>";
print "<p>The goog way is here</p>";

$app = 'sw4p';
$reg = $registry->registerApplication($app, 'Setup Wizard for PHP');
handleError($reg);

if ($registry->isApplicationRegistered($app)) {
    echo '<font color="blue"><b>Application "'.$app.'" is registered</b></font>';
} else {
    echo '<font color="red"><b>Sorry, application "'.$app.'" is not yet registered</b></font>';
}

print "<h2>try 3</h2>";
print "<p>If you try to register an already application defined, you've got an error</p>";

$app = 'sw4p';
$reg = $registry->registerApplication($app, '', '');
handleError($reg);
?>