<?php
/**
 * Example 5 for Config_Registry : addParam
 * 
 * @version    0.1
 * @author     Laurent Laville <pear@laurent-laville.org>
 * @access     public
 * @package    Config_Registry
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 *
 * $Id$
 */

require_once 'Config/Registry.php';
require_once 'handleError.php';

$registry =& Config_Registry::singleton();

$app = 'sw4p';
$reg = $registry->registerApplication($app);
handleError($reg);

$imp = $registry->importConfig($app, 'user1.php', 'phpArray');
handleError($imp);

$options = array();
$imp = $registry->importConfig($app, 'default1.php', 'phpArray', $options, true, 'default');
handleError($imp);


print "<h1>add application '$app' parameter value </h1>";
print "<h2>try 1</h2>";

$parameter = 'USERNAME';
$data = 'username';

$resp = $registry->addParam($parameter, $data, array('type' => 'varchar', 'size' => 32), $app, 'fields');

if (PEAR::isError($resp)) {
    echo $resp->getMessage();
}

print "<h2>try 2</h2>";

$resp = $registry->addParam($parameter, $data, array('type' => 'varchar', 'size' => 32), $app);
handleError($resp);


$data2 = 'user1.ini';
$type = 'iniFile';
$exp = $registry->exportConfig($app, $data2, $type);
handleError($exp);

echo $type ." results are in file ". $data2 ."<br/>";

?>