<?php
/**
 * Example C2 for Config_Registry : get Configuration Resource
 * 
 * @version    0.1
 * @author     Laurent Laville <pear@laurent-laville.org>
 * @access     public
 * @package    Config_Registry
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 *
 * $Id$
 */

require_once 'Config/Registry.php';
require_once '../handleError.php';

print "<h1>get Configuration Resource (last-used) to import data</h1>";

$registry =& Config_Registry::singleton();

$app = 'sw4p';
$reg = $registry->registerApplication($app, 'Setup Wizard for PHP');
handleError($reg);

$imp = $registry->importConfig($app, 'data/user1.php', 'phpArray');
handleError($imp);

$options = array();
$imp = $registry->importConfig($app, 'data/default1.php', 'phpArray', $options, true, 'default');
handleError($imp);


print "<h2>try 1</h2>";
print "<p>Obtains last-used resource to import 'user' configuration</p>";

$layer = 'user';
$res = $registry->getConfigResource($layer);

if (is_null($res)) {
    echo '<font color="red"><b>resource "'.$layer.'" came from NOWHERE</b></font>';
} else {
    echo '<font color="blue"><b>resource "'.$layer.'" came from <br/></b></font>';
    var_dump($res);
}

print "<h2>try 2</h2>";
print "<p>Obtains last-used resource to import 'system' configuration</p>";

$layer = 'system';
$res = $registry->getConfigResource($layer);

if (is_null($res)) {
    echo '<font color="red"><b>resource "'.$layer.'" came from NOWHERE</b></font>';
} else {
    echo '<font color="blue"><b>resource "'.$layer.'" came from <br/></b></font>';
    var_dump($res);
}

print "<h2>try 3</h2>";
print "<p>Obtains last-used resource to import 'default' configuration</p>";

$layer = 'default';
$res = $registry->getConfigResource($layer);

if (is_null($res)) {
    echo '<font color="red"><b>resource "'.$layer.'" came from NOWHERE</b></font>';
} else {
    echo '<font color="blue"><b>resource "'.$layer.'" came from <br/></b></font>';
    var_dump($res);
}
?>