<?php
/**
 * Example 3 for Config_Registry : getParam
 * 
 * @version    0.1
 * @author     Laurent Laville <pear@laurent-laville.org>
 * @access     public
 * @package    Config_Registry
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 *
 * $Id$
 */

require_once 'Config/Registry.php';
require_once 'handleError.php';

$registry =& Config_Registry::singleton();

$app = 'sw4p';
$reg = $registry->registerApplication($app);
handleError($reg);

$imp = $registry->importConfig($app, 'user1.php', 'phpArray');
handleError($imp);

$options = array();
$imp = $registry->importConfig($app, 'default1.php', 'phpArray', $options, true, 'default');
handleError($imp);


print "<h1>Get application '$app' parameter value </h1>";
print "<h2>try 1</h2>";

$parameter = 'DB_HOST';
$val = $registry->getParam($parameter, $app);

if (PEAR::isError($val)) {
    echo $val->getMessage();
    exit;
}

print "<pre>";
var_dump($parameter);
var_dump($val);
print "</pre>";

?>