<?php
/**
 * Example 9 for Config_Registry : searchParam
 * 
 * @version    0.1
 * @author     Laurent Laville <pear@laurent-laville.org>
 * @access     public
 * @package    Config_Registry
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 *
 * $Id$
 */

require_once 'Config/Registry.php';
require_once 'handleError.php';

$registry =& Config_Registry::singleton();

$app = 'sw4p';
$reg = $registry->registerApplication($app);
handleError($reg);

$imp = $registry->importConfig($app, 'user1.php', 'phpArray');
handleError($imp);

$options = array();
$imp = $registry->importConfig($app, 'default1.php', 'phpArray', $options, true, 'default');
handleError($imp);


print "<h1>Search application '$app' parameter value </h1>";
print "<h2>try 1</h2>";

$parameter = 'DB_HOST';
$layer = $registry->searchParam($parameter, $app);

if (is_null($layer)) {
    echo "parameter '$parameter' does not exists anywhere ";
} else {
    echo "parameter '$parameter' found on layer '$layer' ";
}

print "<h2>try 2</h2>";

$parameter = 'DB_NAME';
$layer = $registry->searchParam($parameter, $app);

if (is_null($layer)) {
    echo "parameter '$parameter' does not exists anywhere ";
} else {
    echo "parameter '$parameter' found on layer '$layer' ";
}

?>