<?php
/**
 * Example 4 for Config_Registry : setParam
 * 
 * @version    0.1
 * @author     Laurent Laville <pear@laurent-laville.org>
 * @access     public
 * @package    Config_Registry
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 *
 * $Id$
 */

require_once 'Config/Registry.php';
require_once 'handleError.php';

$registry =& Config_Registry::singleton();

$app = 'sw4p';
$reg = $registry->registerApplication($app);
handleError($reg);

$imp = $registry->importConfig($app, 'user1.php', 'phpArray');
handleError($imp);

$options = array();
$imp = $registry->importConfig($app, 'default1.php', 'phpArray', $options, true, 'default');
handleError($imp);


print "<h1>set application '$app' parameter value </h1>";
print "<h2>try 1</h2>";

$parameter = 'DB_HOST';
$data = 'localhost';
$resp = $registry->setParam($parameter, $data, $app);

if (PEAR::isError($resp)) {
    echo $resp->getMessage();
}

print "<h2>try 2</h2>";

$parameter = 'DB_HOST';
$data = 'localhost';
$resp = $registry->setParam($parameter, $data, $app, 'root', 'default');
handleError($resp);


print "<h1>Registry Dump</h1>";
print "<pre>";
var_dump($registry);
print "</pre>";

?>