<?php
/**
 *  A set of callbacks (functions) to use for a gettext plugin 
 *
 * @version    0.1
 * @author     Laurent Laville <pear@laurent-laville.org>
 * @access     public
 * @package    Config_Registry
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 *
 * $Id$
 */

function initTextDomain($language, $domain, $translationsDir)
{
        putenv("LANG=$language"); 
        $loc = setlocale(LC_ALL, $language);
        bindtextdomain($domain, $translationsDir); 
        textdomain($domain);
}

function getMessage($stringID)
{
        $params = func_get_args();

        if (function_exists('gettext')) {
            return _replaceVariables( _($stringID), array_slice($params, 1));
        } else {
            return $stringID;
        }
}

function _replaceVariables($message, $args)
{
        $msg = $message;
        $msg = str_replace("%n", "<br />", $msg);
        
        for ($i=0; $i<count($args); $i++) {
            if (isset($args[$i])) {
                $msg = str_replace("%".($i+1), $args[$i], $msg);
            }
        }
        return $msg;
}

?>